- 
    const chunks = diff.data;
    let totalAdditions = totalDeletions = 0;

    for (let i = 0; i < chunks.length; i++) {

        const chunk = chunks[i];
        
        for (let j = 0; j < chunk.lines.length; j++) {
            
            const line = chunk.lines[j];
            
            if (line.status == "addition") { totalAdditions++ }
            else if (line.status == "deletion") { totalDeletions++ }
        }
    }

    const totalChanges = totalAdditions + totalDeletions;

<!DOCTYPE html>
html
    include ../layouts/head
    body
        include ../layouts/header
        include tabs
        content
            .container
                h1(class="content-title", id="js-content-title") Diff from 
                    a(href="/resources/" + resource.id + "/commits/" + fromCommitID)= lib.teaseHash(fromCommitID)
                    |  to 
                    a(href="/resources/" + resource.id + "/commits/" + toCommitID)= lib.teaseHash(toCommitID)
                .file
                    .file-header
                        //- .file-actions
                        //-     span#js-file-line-count _ lines
                        .file-info
                            span Showing <strong>#{totalChanges} changes</strong> (<strong>#{totalAdditions} addition#{totalAdditions > 1 ? "s" : ""}</strong> and <strong>#{totalDeletions} deletion#{totalDeletions > 1 ? "s" : ""}</strong>)
                    .file-raw(itemprop="text")
                        table(class="file-line-container", id="js-file-line-container")
                            tbody
                                for chunk in chunks
                                    - const chunkHeaderFrom = chunk.from.start_line + (chunk.from.lines > 0 ? "," + chunk.from.lines : "");
                                    - const chunkHeaderTo = chunk.to.start_line + (chunk.to.lines > 0 ? "," + chunk.from.lines : "");
                                    tr
                                        td(class="file-line-chunk", colspan="2")
                                        td(class="file-line-chunk", colspan="2") @@ -#{chunkHeaderFrom} +#{chunkHeaderTo} @@
                                    for line in chunk.lines
                                        - const fromLine = line.preline, toLine = line.postline;
                                        - const lineStatus = line.status;

                                        tr
                                            td(class="file-line-num file-line-"+lineStatus, "data-line-number"=fromLine)=fromLine
                                            td(class="file-line-num file-line-"+lineStatus, "data-line-number"=toLine)=toLine
                                            td(class="file-line-status file-line-"+lineStatus)= (lineStatus == "addition") ? "+" : ((lineStatus == "deletion") ? "-" : "")
                                            td(class="file-line-inner file-line-"+lineStatus) #{line.text}
